# -*- coding: utf-8 -*-
from setuphelpers import *


def install():

    version = control.get_software_version()
    bin_name = "spsetup-%s.exe" % version
    print("installing tis-speccy")
    install_exe_if_needed(
        bin_name,
        "/S /SUPPRESSMSGBOXES /NORESTART",
        key="Speccy",
        min_version=version.rsplit(".", 1)[0],
    )

    # Kill at end of installation
    killalltasks("spsetup.exe")
